using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using ReAct_PME.Domain;


namespace ReAct_PME.Infrastructure.Persistence.Configurations
{
    public partial class DT_WORK_FORCE_ROLEConfiguration : IEntityTypeConfiguration<DT_WORK_FORCE_ROLE>
    {
		public void Configure(EntityTypeBuilder<DT_WORK_FORCE_ROLE> builder)
		{
			builder.ToTable("DT_WORK_FORCE_ROLE"); // Nom de la table dans SQL Server
			builder.HasKey(c => c.ID_WORK_FORCE_ROLE);    // Clé primaire
			builder.Property(c => c.ID_WORK_FORCE_ROLE)
				.HasColumnName("ID_WORK_FORCE_ROLE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.ID_WORK_FORCE)
				.HasColumnName("ID_WORK_FORCE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.ID_ROLE)
				.HasColumnName("ID_ROLE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.DATE_START)
				.HasColumnName("DATE_START")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.DATE_END)
				.HasColumnName("DATE_END")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.LIBELLE_WORK_FORCE_ROLE)
				.HasColumnName("LIBELLE_WORK_FORCE_ROLE")
				.HasColumnType("string")
				.IsRequired()
				.HasMaxLength(255)
				;
			builder.Property(c => c.DESCRIPTION_WORK_FORCE_ROLE)
				.HasColumnName("DESCRIPTION_WORK_FORCE_ROLE")
				.HasColumnType("string")
				.IsRequired()
				;
			builder.Property(c => c.SystemDateCreated)
				.HasColumnName("SystemDateCreated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.SystemDateUpdated)
				.HasColumnName("SystemDateUpdated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.IsEnabled)
				.HasColumnName("IsEnabled")
				.HasColumnType("bool")
				.IsRequired()
				;
		}



    }
}
